Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Fehler beim Upgrade von 1.4.13 zu 1.6
#1
Hallo

Folgender Fehler erscheint beim Ausführen des upgrade.php scripts:

Fatal error: Call to undefined method DB_MySQL::add_column() in /usr/local/share/mybb/install/resources/upgrade17.php on line 151


Falls ihr bestimmte php_infos braucht, werde ich sie posten...

Danke
Bunts
#2
Hallo und willkommen,

stelle bitte sicher, dass alle Dateien des Forums auf dem aktuellen Stand sind. Versuche es dann nochmal.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#3
Danke Michael

Ich habe wahrscheinlich das Kopieren der Dateien versaut...

Gruss
Bunts
#4
Hallo liebes MyBB-Team!

Ich bin auch (endlich) gerade dabei von 1.4.13 auf 1.6.5. zu upgraden, und konnte bis jetzt alle bei mir aufgetauchten Fehler mit der Suchfunktion erfolgreich beseitigen! Jedoch hab ich jetzt eine Fehlermeldung die ich hier nicht finden konnte, wollte aber kein extra Thema dafür aufmachen. Bei der Upgraderoutine ist dies bei mir aufgetaucht:

Erstellung der Caches

Fatal error: Allowed memory size of 16777216 bytes exhausted (tried to allocate 47423 bytes) in /var/www/web235/html/inc/class_datacache.php on line 173


Ich wüsste nicht, was ich tun sollte um den Fehler zu beheben. Ich bitte um Hilfe!

Liebe Grüße
#5
Ich vermute mal, dass Dir bei der Fehlermeldung Dein Webhoster weiterhelfen kann....
viele Grüße
Jockl
übersetzte und eigene Plugins
#6
Danke für die schnelle Antwort, Du hattest Recht! In meinem Paket sind nur 16 MB Arbeitsspeicher inklusive. Um das Upgrade erfolgreich abzuschließen, muss ich nun mein Paket ändern ><
#7
Nun ist leider ein neuer Fehler bei der Installiationsroutine aufgetaucht ):

Repairing Database Sequences

Performing necessary upgrade queries...

Fatal error: [SQL] [1060] Doppelter Spaltenname: 'custom_profile_fields'
ALTER TABLE mybb_adminviews ADD custom_profile_fields text NOT NULL AFTER conditions in /var/www/web235/html/inc/db_mysql.php on line 550


Hab mit der Suchfunktion leider keine Antwort darauf finden können. Ich hoffe, es kann mir hier jemand damit weiterhelfen!

Weiß nicht ob das hilfreich ist, aber in db_mysql.php ist die Zeile 550:

trigger_error("<strong>[SQL] [".$this->error_number()."] ".$this->error_string()."</strong><br />{$string}", E_USER_ERROR);


Liebe Grüße
Ich jetzt diesen Thread gefunden https://www.mybb.de/forum/thread-18734.html in dem StefanT sagt man solle doch das neue Paket nochmal runterladen, aber ich hab ja die neueste Version schon geladen /:
Ich habe gerade alles nochmal gelöscht und neu hochgeladen, die Fehlermeldung ist immer noch da.
#8
Probiere mal die install/resources/upgrade20.php:
.php   upgrade20.php (Größe: 2,81 KB / Downloads: 0)
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#9
Dankeschön. Ich hatte zu der Zeit dann einfach die entsprechende Zeile aus dem Code gelöscht und dann hats funktioniert Rolleyes

Aber beim nächsten Update werde ich das wieder ändern!

LG


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Fehler beim Upgrade von 1.4.11 Borbie 2 731 21.11.2010, 17:14
Letzter Beitrag: Borbie